ossp-pkg/rc/autogen.sh 1.3 -> 1.4
--- autogen.sh 2002/01/10 20:05:34 1.3
+++ autogen.sh 2002/01/17 15:47:10 1.4
@@ -1,6 +1,58 @@
#!/bin/sh
-aclocal
+# Test for libtool
+(grep "^AM_PROG_LIBTOOL" configure.in >/dev/null) && {
+ (libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Attenzione! You don't have \`libtool'."
+ echo "You can get it from the GNU FTP site."
+ DIE=1
+ NO_LIBTOOL=yes
+ }
+}
+
+# Test for autoconf
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Attenzione! You don't have \`autoconf'."
+ echo "You can get it from the GNU FTP site."
+ NO_AUTOCONF=yes
+ DIE=1
+}
+
+# Test for automake
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Attenzione! You don't have \`automake'."
+ echo "You can get it from the GNU FTP site."
+ DIE=1
+ NO_AUTOMAKE=yes
+}
+
+
+# Don't test for aclocal if automake is not there
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Attenzione! You don't have \`aclocal'."
+ echo "Try updating your \`automake' to get it."
+ NO_LIBTOOL=yes
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ echo "Build configuration broken due to one ore more failures."
+ echo "Exiting..."
+ exit 1
+fi
+
+# Run build tools if no errors were found
+libtoolize --force --copy --automake
+aclocal -I /usr/local/share/aclocal
autoheader
-automake --add-missing --gnu
+automake --add-missing --copy --gnu
autoconf
+
+# Bonehead user instructions to finish up
+echo "To build this now, you need to do two more things."
+echo "First, type \`configure' to configure the program."
+echo "Then, type \`make' to compile the program."
|
|